# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "golem-rust"
version = "1.10.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Golem Rust tooling library that facilitates writing Golem backends in Rust"
homepage = "https://golem.cloud"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/golemcloud/golem-rust"

[features]
bigdecimal = [
    "dep:bigdecimal",
    "num_bigint",
]
bit_vec = ["dep:bit-vec"]
bytes = ["dep:bytes"]
chrono = ["dep:chrono"]
default = [
    "durability",
    "json",
    "macro",
]
durability = []
export_golem_agentic = [
    "export_load_snapshot",
    "export_save_snapshot",
    "dep:ctor",
    "dep:async-trait",
]
export_load_snapshot = []
export_oplog_processor = []
export_save_snapshot = []
golem_ai = []
json = [
    "dep:serde",
    "dep:serde_json",
]
mac_address = ["dep:mac_address"]
macro = ["dep:golem-rust-macro"]
nonempty_collections = ["dep:nonempty-collections"]
num_bigint = ["dep:num-bigint"]
rust_decimal = ["dep:rust_decimal"]
serde_json_types = ["dep:serde_json"]
url = ["dep:url"]

[lib]
name = "golem_rust"
crate-type = ["rlib"]
path = "src/lib.rs"
harness = false

[[test]]
name = "agent"
path = "tests/agent.rs"
harness = false

[dependencies.async-trait]
version = "0.1.89"
optional = true

[dependencies.bigdecimal]
version = "0.4.9"
optional = true

[dependencies.bit-vec]
version = "0.8.0"
optional = true

[dependencies.bytes]
version = "1.11.0"
optional = true

[dependencies.chrono]
version = "0.4.42"
optional = true

[dependencies.ctor]
version = "0.4.3"
optional = true

[dependencies.golem-rust-macro]
version = "1.10.2"
optional = true

[dependencies.golem-wasm]
version = "1.3.2-dev.2"
features = ["stub"]
default-features = false

[dependencies.http]
version = "1.3.1"

[dependencies.log]
version = "0.4.29"
features = ["kv"]

[dependencies.mac_address]
version = "1.1.8"
optional = true

[dependencies.nonempty-collections]
version = "1.2.1"
optional = true

[dependencies.num-bigint]
version = "0.4"
optional = true

[dependencies.rust_decimal]
version = "1.39.0"
optional = true

[dependencies.serde]
version = "1"
optional = true

[dependencies.serde_json]
version = "1.0.145"
optional = true

[dependencies.url]
version = "2.5.7"
optional = true

[dependencies.uuid]
version = "1.19.0"
features = ["v4"]

[dependencies.wasi]
version = "=0.14.1+wasi-0.2.3"

[dependencies.wasi-logger]
version = "0.1.2"
features = ["kv"]

[dependencies.wit-bindgen]
version = "=0.40.0"

[dependencies.wstd]
version = "=0.5.4"

[dev-dependencies.proptest]
version = "1.4.0"

[dev-dependencies.test-r]
version = "2.3.1"
